#创建资产

import requests
import json

with open('/Users/zhr/Library/Mobile Documents/com~apple~CloudDocs/巨量广告拆解/zhunbei.json', 'r', encoding='utf-8') as f:
    config = json.load(f)

url = "https://api.oceanengine.com/open_api/2/event_manager/assets/create/"
payload = json.dumps({
  "advertiser_id": config["advertiser_id"],
  "asset_type": "THIRD_EXTERNAL",
  "third_part_asset": {
    "name": "dsok",
    "description": ""
  }
})
headers = {
  "Content-Type": "application/json",
  "Access-Token": config["ACCESS_TOKEN"]
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)

# 从响应中获取资产 ID
try:
    asset_response = response.json()
    asset_id = asset_response.get('data', {}).get('asset_id')
    if asset_id:
        # 更新 zhunbei.json 里的 asset_id 值
        config["asset_id"] = asset_id
        with open('/Users/zhr/Library/Mobile Documents/com~apple~CloudDocs/巨量广告拆解/zhunbei.json', 'w', encoding='utf-8') as f:
            json.dump(config, f, indent=4, ensure_ascii=False)

        url = "https://api.oceanengine.com/open_api/2/event_manager/events/create/"
        payload = json.dumps({
          "advertiser_id": config["advertiser_id"],
          "asset_id": asset_id,
          "event_id": 20,
          "track_types": [
            "EXTERNAL_API"
          ]
        })
        headers = {
          "Content-Type": "application/json",
          "Access-Token": config["ACCESS_TOKEN"]
        }
        response = requests.request("POST", url, headers=headers, data=payload)
        print(response.text)
    else:
        print("未获取到有效的资产 ID，无法创建事件。")
except json.JSONDecodeError:
    print("资产创建响应解析失败，无法创建事件。")