#获取账户绑定抖音号id

import requests
import json

# 设置请求信息
base_url = "https://api.oceanengine.com"
endpoint = "/open_api/2/tools/aweme_auth_list/"
url = base_url + endpoint

# 从 zhunbei.json 读取 ACCESS_TOKEN
with open('/Users/zhr/Library/Mobile Documents/com~apple~CloudDocs/巨量广告拆解/zhunbei.json', 'r', encoding='utf-8') as f:
    config = json.load(f)

# 设置请求头
headers = {
    "Access-Token": config["ACCESS_TOKEN"]
}

# 设置请求参数
params = {
    "advertiser_id": config["advertiser_id"],
    "page": 1,
    "page_size": 10
}

# 发起请求
response = requests.get(url, headers=headers, params=params)

# 检查响应状态
if response.status_code == 200:
    result = response.json()
    # 解析响应数据，获取 aweme_id
    if "data" in result and "list" in result["data"]:
        for item in result["data"]["list"]:
            aweme_id = item.get("aweme_id")
            print(f"aweme_id: {aweme_id}")
            config['aweme_id'] = aweme_id
            with open('/Users/zhr/Library/Mobile Documents/com~apple~CloudDocs/巨量广告拆解/zhunbei.json', 'w', encoding='utf-8') as f:
                json.dump(config, f, indent=4)
    else:
        print("未获取到授权关系数据。")
else:
    print(f"请求失败，状态码: {response.status_code}，响应内容: {response.text}")