#创建商品
import requests
import json
import os

# 创建存储商品 ID 的文件路径
product_id_file = os.path.join(os.path.dirname(os.path.abspath(__file__)), "product_ids.txt")

with open('/Users/zhr/Library/Mobile Documents/com~apple~CloudDocs/巨量广告拆解/zhunbei.json', 'r', encoding='utf-8') as f:
    config = json.load(f)

url = "https://api.oceanengine.com/open_api/2/dpa/product/create/"
payload = json.dumps({
  "advertiser_id": config["advertiser_id"],
  "platform_id": config["product_platform_id"],
  "product_info": {
    "name": config["product_name"],
    "title": "",
    "titles": [
      ""
    ],
    "outer_id": "",
    "description": "",
    "image_url": config["image_url"][0],
    "profession": {
      "platform_v2": "淘宝"
    }
  }
})
headers = {
  "Content-Type": "application/json",
  "Access-Token": config["ACCESS_TOKEN"]
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
result = response.json()
if result.get('code') == 0:
    product_id = result.get('data', {}).get('product_id')
    if product_id:
        with open(product_id_file, 'a', encoding='utf-8') as f:
            f.write(str(product_id) + '\n')
        config['product_id'] = product_id
        with open('/Users/zhr/Library/Mobile Documents/com~apple~CloudDocs/巨量广告拆解/zhunbei.json', 'w', encoding='utf-8') as f:
            json.dump(config, f, indent=4)